package com.pcloud.common.dto;

/**
 * 
 * @author：songx
 * @date：2017年12月1日,下午2:24:20
 */
public class OssMediaInfoDTO extends BaseDto {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3405513458363486003L;

	/**
	 * OSS域
	 */
	private String bucket;

	/**
	 * 域名
	 */
	private String location;

	/**
	 * 对象地址
	 */
	private String obejctKey;

	/**
	 * 时长
	 */
	private Integer duration;

	/**
	 * 文件大小
	 */
	private Long size;

	public String getBucket() {
		return bucket;
	}

	public void setBucket(String bucket) {
		this.bucket = bucket;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getObejctKey() {
		return obejctKey;
	}

	public void setObejctKey(String obejctKey) {
		this.obejctKey = obejctKey;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Long getSize() {
		return size;
	}

	public void setSize(Long size) {
		this.size = size;
	}

	@Override
	public String toString() {
		return "OssMediaInfoDTO [bucket=" + bucket + ", location=" + location + ", obejctKey=" + obejctKey
				+ ", duration=" + duration + ", size=" + size + "]";
	}

}
